SoftwareEntwicklung Beratung Schulung

A coders, hackers heaven.....Hm...I do not think so...

Apache Maven Enforcer Version 1.4.1 - Released

| Comments

The Apache Maven team is pleased to announce the release of the Apache Maven Enforcer, version 1.4.1.

Enforcer is a build rule execution framework.

If you need to force things within your build please use the maven-enforcer-plugin.

You should specify the version in your project’s plugin configuration:

1
2
3
4
5
<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-enforcer-plugin</artifactId>
  <version>1.4.1</version>
</plugin>

Release Notes – Maven Enforcer – Version 1.4.1

Bugs:

  • MENFORCER-222 – RequireSameVersion rule regression between 1.3 and 1.4
  • MENFORCER-224 – Regression from 1.3.1 to 1.4 with bannedDependencies rule
  • MENFORCER-229 – Ban Distribution Management documentation example doesn’t work
  • MENFORCER-237 – Resources Link to codehaus is wrong

Improvements:

Enjoy,

-The Apache Maven team

Comments